io.netty.handler.codec.mqtt

## Class MqttMessageBuilders.SubscribeBuilder

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessageBuilders.SubscribeBuilder

Enclosing class:
  MqttMessageBuilders

    public static final class MqttMessageBuilders.SubscribeBuilder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttMessageBuilders.SubscribeBuilder` `addSubscription(MqttQoS qos, String topic)`
`MqttMessageBuilders.SubscribeBuilder` `addSubscription(String topic, MqttSubscriptionOption option)`
`MqttSubscribeMessage` `build()`
`MqttMessageBuilders.SubscribeBuilder` `messageId(int messageId)`
`MqttMessageBuilders.SubscribeBuilder` `properties(MqttProperties properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### addSubscription

    public MqttMessageBuilders.SubscribeBuilder addSubscription(MqttQoS qos,
                                                                String topic)

#### addSubscription

    public MqttMessageBuilders.SubscribeBuilder addSubscription(String topic,
                                                                MqttSubscriptionOption option)

#### messageId

    public MqttMessageBuilders.SubscribeBuilder messageId(int messageId)

#### properties

    public MqttMessageBuilders.SubscribeBuilder properties(MqttProperties properties)

#### build

    public MqttSubscribeMessage build()